define({ "api": [
  {
    "type": "get",
    "url": "/api/attachment/delete/{md5}",
    "title": "删除文件（图片）",
    "description": "<p>删除文件（图片）</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "Passport"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"result\": true/false\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDeleteMd5"
  },
  {
    "type": "get",
    "url": "/api/attachment/download/{md5}",
    "title": "下载文件（图片）",
    "description": "<p>下载文件（图片）(get code)</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "md5",
            "description": "<p>图片md5码</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n  文件二进制码\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 404 Not found",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "GetApiAttachmentDownloadMd5"
  },
  {
    "type": "post",
    "url": "/api/attachment/upload",
    "title": "通用上传接口",
    "description": "<p>通用上传接口</p>",
    "group": "Attachment",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": false,
            "field": "tag",
            "description": "<p>附件标签 avatar video dream</p>"
          },
          {
            "group": "Parameter",
            "type": "File",
            "optional": false,
            "field": "file",
            "description": "<p>附件（可以多个，使用file.xxx，可返回多个）[默认大小【10M】, 类型图片png jpg gif,视频类型mp4]</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": [\n        \"file\": \"f72e7dad80f597ed6621a009e82243ad\",\n         //文件访问url http://localhost/attachment/f72e7dad80f597ed6621a009e82243ad\n    ]\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   200     SAVE_USER_FAILED                保存用户数据失败\n   201     ATTACHMENT_MKDIR_FAILED         创建附件目录失败\n   202     ATTACHMENT_UPLOAD_INVALID       上传附件文件无效\n   203     ATTACHMENT_SAVE_FAILED          保存附件失败\n   204     ATTACHMENT_MOVE_FAILED          移动附件失败\n   205     ATTACHMENT_DELETE_FAILED        删除附件文件失败\n   206     ATTACHMENT_RECORD_DELETE_FAILED 删除附件记录失败\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确\n   1101    INCORRECT_VERIFY_CODE           输入验证码错误\n   1105    USER_DOES_NOT_EXIST             用户不存在\n   1200    ATTACHMENT_UPLOAD_FAILED        附件上传失败\n   1201    ATTACHMENT_SIZE_EXCEEDED        附件大小超过限制\n   1202    ATTACHMENT_MIME_NOT_ALLOWED     附件类型不允许\n   1203    ATTACHMENT_NOT_EXIST            附件不存在",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/AttachmentController.php",
    "groupTitle": "Attachment",
    "name": "PostApiAttachmentUpload"
  },
  {
    "type": "get",
    "url": "/api/home/createorder",
    "title": "创建订单",
    "description": "<p>创建订单</p>",
    "group": "Photo",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "user_id",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "store_id",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "product_id",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "schedule_time",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "username",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "phone",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "email",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "sex",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "comment",
            "description": "<p>(可填)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         \"order\": {\n                 \"id\": 27,\n                 \"out_trade_no\": \"xxg1531993028\",            //订单编号\n                 \"username\": \"lee\",                          //联系人\n                 \"phone\": \"13407570876\",                     //联系电话\n                 \"email\": \"154@qq.com\",                      //邮箱\n                 \"schedule_time\": \"2018-07-19 11:00:00\",     //预约时间\n                 \"status\": 0,\n                 \"store_id\": \"1\",\n                 \"storename\": \"青羊店\",                        //店铺名称\n                 \"product_name\": \"证件照\",                     //产品名称\n                 \"service_time\": \"约120分钟\",                  //服务时长\n                 \"price\": 199,                                //应付金额\n                 \"deposit\": 100                               //定金\n             }\n\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Photo",
    "name": "GetApiHomeCreateorder"
  },
  {
    "type": "get",
    "url": "/api/home/getproduct",
    "title": "获取产品详情及规格",
    "description": "<p>获取产品详情及规格</p>",
    "group": "Photo",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "id",
            "description": "<p>(必填)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"product\": {\n                 \"id\": 1,\n                 \"name\": \"证件照\",\n                 \"detail\": \"\",                                                          //产品详情\n                 \"img\": \"/upload/images/20180712/696aa5b6187bd8b1e7eb4f7962a5a3cb.jpg\",\n                 \"spec\": [                                                              //规格\n                       {\n                         \"id\": 1,\n                         \"name\": \"证件照\",\n                         \"img\": \"\",\n                         \"category_id\": 1,\n                         \"origin_price\": 299,                                           //原价\n                         \"current_price\": 199,                                          //折后价\n\n                        }\n                      ]\n}\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Photo",
    "name": "GetApiHomeGetproduct"
  },
  {
    "type": "get",
    "url": "/api/home/getproducts",
    "title": "获取产品列表",
    "description": "<p>获取产品列表</p>",
    "group": "Photo",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"products\": [\n\n         ]\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Photo",
    "name": "GetApiHomeGetproducts"
  },
  {
    "type": "get",
    "url": "/api/home/getschedule",
    "title": "获取店铺排期",
    "description": "<p>获取店铺排期</p>",
    "group": "Photo",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "day",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "storeid",
            "description": "<p>(必填)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n         am_schedule\": [\n         {\n             \"time\": \"2018-07-19 09:00:00\",\n             \"remain\": 3                       可预订人数，0表示该时间段人数已满\n         },\n         {\n             \"time\": \"2018-07-19 10:00:00\",\n             \"remain\": 0\n         },\n         {\n             \"time\": \"2018-07-19 11:00:00\",\n             \"remain\": 3\n         }\n     ]\n\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Photo",
    "name": "GetApiHomeGetschedule"
  },
  {
    "type": "get",
    "url": "/api/home/getstores",
    "title": "获取店铺列表",
    "description": "<p>获取店铺列表</p>",
    "group": "Photo",
    "permission": [
      {
        "name": "None"
      }
    ],
    "version": "0.1.0",
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"state\": true,\n    \"code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"stores\": [\n             {\n                 \"id\": \"\",\n                 \"name\": \"\",         //店铺名字\n                 \"img\": \"\",          //店铺图片\n                 \"address\": \"\",      //店铺地址\n                 \"phone\": \"\",        //店铺电话\n                 \"lat\": \"\",          //店铺纬度\n                 \"lon\": \"\"           //店铺经度\n             }\n         ]\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Photo",
    "name": "GetApiHomeGetstores"
  },
  {
    "type": "post",
    "url": "/api/home/pay",
    "title": "获取微信支付签名信息",
    "description": "<p>获取微信支付签名信息</p>",
    "group": "Photo",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "userid",
            "description": "<p>用户ID(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "orderid",
            "description": "<p>订单号(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "couponid",
            "description": "<p>优惠券id(可填)</p>"
          },
          {
            "group": "Parameter",
            "type": "int",
            "optional": true,
            "field": "cardid",
            "description": "<p>抵扣卡id(可填；抵扣卡和优惠券不能同时使用)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n             \"appId\":\"wx1c2357232cd25f65\",\n             \"timeStamp\":\"1524907589\",\n             \"nonceStr\":\"5ae43e45eb499\",\n             \"package\":\"prepay_id=wx28172629917401724160128f0238805782\",\n             \"signType\":\"MD5\",\n             \"paySign\":\"8E9CF26B2B83C22471D023CBBDC36EDF\"\n         }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "Photo",
    "name": "PostApiHomePay"
  },
  {
    "type": "post",
    "url": "/api/home/login",
    "title": "登陆(login)",
    "description": "<p>登陆(login)</p>",
    "group": "photo",
    "permission": [
      {
        "name": "none"
      }
    ],
    "version": "0.1.0",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "code",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "nickName",
            "description": "<p>(必填)</p>"
          },
          {
            "group": "Parameter",
            "type": "string",
            "optional": true,
            "field": "avatar",
            "description": "<p>(必填)</p>"
          }
        ]
      }
    },
    "success": {
      "examples": [
        {
          "title": "Success-Response:",
          "content": "HTTP/1.1 200 OK\n{\n    \"status\": true,\n    \"status_code\": 0,\n    \"message\": \"\",\n    \"data\": {\n        \"userinfo\": {\n             \"id\": \"\",\n             \"nickname\": \"\",\n             \"openid\": \"\",\n             \"avatar\": \"\"\n\n         }\n\n    }\n}",
          "type": "json"
        }
      ]
    },
    "error": {
      "examples": [
        {
          "title": "Error-Response:",
          "content": "HTTP/1.1 400 Bad Request\n{\n    \"state\": false,\n    \"code\": 1000,\n    \"message\": \"传入参数不正确\",\n    \"data\": null or []\n}\n可能出现的错误代码：\n   1000    CLIENT_WRONG_PARAMS             传入参数不正确",
          "type": "json"
        }
      ]
    },
    "filename": "app/Http/Controllers/Api/V1/HomeController.php",
    "groupTitle": "photo",
    "name": "PostApiHomeLogin"
  }
] });
